/*>>> x_sc0.c: the SC0 (Stanback Chess Program [internal]) subsystem */

/* Revised: 1993.04.25 */

#include <stdio.h>
#include <stdlib.h>

#include "sandef.h"
#include "sanvar.h"

#include "x_sc0.h"

/*--> SC0Init: one time call to initialize the SC0 subsystem */
nonstatic
void
SC0Init (void)
{

  return;
}

/*--> SC0Term: one time call to terminate the SC0 subsystem */
nonstatic
void
SC0Term (void)
{

  return;
}

/*--> SC0NewGame: send "new game" request to the SC0 subsystem */
nonstatic
void
SC0NewGame (void)
{

  return;
}

/*--> SC0SelectMove: select a move */
nonstatic
void
SC0Select (void)
{
  select_m = *(curr_g.g_base + (rand () % curr_g.g_gmvc));

  return;
}

/*--> SC0Play: send "play move" request to the SC0 subsystem */
nonstatic
void
SC0Play (void)
{

  return;
}

/*--> SC0Unplay: send "unplay move" request to the SC0 subsystem */
nonstatic
void
SC0Unplay (void)
{

  return;
}

/*--> SC0SetPos: send "set position" request to the SC0 subsystem */
nonstatic
void
SC0SetPos (void)
{

  return;
}

/*--> SC0Config: send "re-configuration" request to the SC0 subsystem */
nonstatic
void
SC0Config (void)
{

  return;
}

/* x_sc0.c: EOF */
